Search documentation of bb

# BB (bb v0.8.0)

View Source

Documentation for `BB` (Beam Bots).

### Options

- `:extensions` (list of module that adopts `Spark.Dsl.Extension`) - A list of DSL extensions to add to the `Spark.Dsl`

- `:otp_app` (`atom/0`) - The otp_app to use for any application configurable options

- `:fragments` (list of `module/0`) - Fragments to include in the `Spark.Dsl`. See the fragments guide for more.

# Summary

## Functions

call(module, name, message, timeout \\ 5000)

See `BB.Process.call/4`.

cast(module, name, message)

See `BB.Process.cast/3`.

publish(module, path, message)

See `BB.PubSub.publish/3`.

send(module, name, message)

See `BB.Process.send/3`.

subscribe(module, path, opts \\ [])

See `BB.PubSub.subscribe/3`.

unsubscribe(module, path)

See `BB.PubSub.unsubscribe/2`.

# Functions

# call(module, name, message, timeout \\ 5000)

See `BB.Process.call/4`.

# cast(module, name, message)

See `BB.Process.cast/3`.

# publish(module, path, message)

See `BB.PubSub.publish/3`.

# send(module, name, message)

See `BB.Process.send/3`.

# subscribe(module, path, opts \\ [])

See `BB.PubSub.subscribe/3`.

# unsubscribe(module, path)

See `BB.PubSub.unsubscribe/2`.